RemoteDebugManager (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.RemoteDebugManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface RemoteDebugManager

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface RemoteDebugManager

extends LogicalElement

Naming Rules:
  0="parent" 1="managedSystemName"
Persistable:
  true
Table Name:
  LOTUSRDM
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getAgentWaitAtStartTime()`
`int` | `getAllowRemoteDebuggingOnThisServer()`
`DominoServer` | `getParent()`
`int` | `getTurnoffRemoteDebugAfter()`
`boolean` | `hasAgentWaitAtStartTime()`
`boolean` | `hasAllowRemoteDebuggingOnThisServer()`
`boolean` | `hasParent()`
`boolean` | `hasTurnoffRemoteDebugAfter()`
`void` | `setAgentWaitAtStartTime(int s)`
`void` | `setAllowRemoteDebuggingOnThisServer(int s)`
`void` | `setParent(DominoServer s)`
`void` | `setTurnoffRemoteDebugAfter(int s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setAllowRemoteDebuggingOnThisServer

    void setAllowRemoteDebuggingOnThisServer(int s)

### getAllowRemoteDebuggingOnThisServer

    int getAllowRemoteDebuggingOnThisServer()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAllowRemoteDebuggingOnThisServer

    boolean hasAllowRemoteDebuggingOnThisServer()

### setTurnoffRemoteDebugAfter

    void setTurnoffRemoteDebugAfter(int s)

### getTurnoffRemoteDebugAfter

    int getTurnoffRemoteDebugAfter()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasTurnoffRemoteDebugAfter

    boolean hasTurnoffRemoteDebugAfter()

### setAgentWaitAtStartTime

    void setAgentWaitAtStartTime(int s)

### getAgentWaitAtStartTime

    int getAgentWaitAtStartTime()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAgentWaitAtStartTime

    boolean hasAgentWaitAtStartTime()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD